# Generated by Django 5.0.4 on 2024-05-05 03:57

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='nodes',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sampletime', models.DateTimeField()),
            ],
        ),
        migrations.CreateModel(
            name='nodesRegister',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('createdtime', models.DateField()),
            ],
        ),
        migrations.CreateModel(
            name='red',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('userid', models.IntegerField()),
                ('location', models.CharField(max_length=300)),
            ],
        ),
        migrations.CreateModel(
            name='humidity',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('alarmHum', models.BooleanField()),
                ('humidity', models.DecimalField(decimal_places=2, max_digits=4)),
                ('nodes', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='template1.nodes')),
            ],
        ),
        migrations.AddField(
            model_name='nodes',
            name='nodenumber',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='template1.nodesregister'),
        ),
        migrations.AddField(
            model_name='nodesregister',
            name='red',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='template1.red'),
        ),
        migrations.CreateModel(
            name='temperature',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('alarmTemp', models.BooleanField()),
                ('temp', models.DecimalField(decimal_places=2, max_digits=4)),
                ('nodes', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='template1.nodes')),
            ],
        ),
    ]
